Summary: Change sshd_config to meet Fermilab's standards
Name: zz_fermi_sshd_config
Version: 5.1
Release: 1
License: GPL
Group: System Environment/Base
Source: sshd_config.fermi
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: noarch

%description
openssh server configuration is normally not fully kerberized out of the box.
This rpm replaces the standard sshd_config with Fermilab's version

%prep

%install
mkdir -p $RPM_BUILD_ROOT/etc/ssh
cp %{SOURCE0} $RPM_BUILD_ROOT/etc/ssh/sshd_config.fermi
chmod 600 $RPM_BUILD_ROOT/etc/ssh/sshd_config.fermi

%post
if [ -f /etc/ssh/sshd_config ] ; then
	if ! [ -f /etc/ssh/sshd_config.save ] ; then
		/bin/mv -f /etc/ssh/sshd_config /etc/ssh/sshd_config.save
	fi
fi
/bin/cp -f /etc/ssh/sshd_config.fermi /etc/ssh/sshd_config

%postun
if [ "$1" = "0" ] ; then
	if [ -f /etc/ssh/sshd_config.save ] ; then
		/bin/cp -f /etc/ssh/sshd_config.save /etc/ssh/sshd_config
	fi	
fi

%triggerin -- openssh-server
if [ -f /etc/ssh/sshd_config ] ; then
	if ! [ -f /etc/ssh/sshd_config.save ] ; then
		/bin/mv -f /etc/ssh/sshd_config /etc/ssh/sshd_config.save
	fi
fi
/bin/cp -f /etc/ssh/sshd_config.fermi /etc/ssh/sshd_config


%files
/etc/ssh/sshd_config.fermi

%changelog
* Wed Jan 07 2009 Troy Dawson <dawson@fnal.gov> 5.1-1
- First round, taking the spec file from zz_sshd_nonkerberized and tweeking it.
